<app-header [title]="'Posts'" [back]="true"></app-header>
<div class="info" *ngIf="user">
    <div>
        <img class="avatar" [src]="user.avatar" alt="image">
    </div>
    <div class="details">
        <span><h3>name</h3>: {{user.last_name}}, {{user.first_name}}</span>
        <span><h3>email</h3>: {{user.email}}</span>
    </div>
    <button mat-raised-button [routerLink]="['/edit', user.id]">
        Edit
        <mat-icon>edit</mat-icon>
    </button>
</div>
<mat-progress-spinner *ngIf="!user || !posts" [diameter]="40" mode="indeterminate"></mat-progress-spinner>
<div *ngIf="posts.length" class="posts-list">
    <app-post *ngFor="let post of posts" [post]="post" (deletePost)="DeletePost($event)"></app-post>
</div>
<app-footer></app-footer>